#include <stdarg.h>
#include <stddef.h>
#include <stdlib.h>
#include <string.h>
#include <setjmp.h>

#include <cmocka.h>

#include <bitops.h>
#include <flash.h>
#include <ftl.h>
#include <macros.h>

int test_find_block(void);
int test_find_block_div(void);
int test_find_last_block(void);
int test_find_last_group(void);
int test_find_head(void);
int test_find_root(void);
int test_next_upage(void);
int test_read_page_group(void);
int test_read_page_desc(void);
int test_write_page_desc(void);
int test_write_upage(void);
int test_trace_path(void);

int test_ftl_is_mapped(void);
int test_ftl_read(void);

int test_ftl(void)
{
	int count = 0;

	count += test_find_block();
	count += test_find_block_div();
	count += test_find_last_block();
	count += test_find_last_group();
	count += test_find_head();
	count += test_find_root();
	count += test_next_upage();
	count += test_read_page_group();
	count += test_read_page_desc();
	count += test_write_page_desc();
	count += test_write_upage();
	count += test_trace_path();

	count += test_ftl_is_mapped();
	count += test_ftl_read();

	return count;
}
